<?
 require_once($_path["include"]."module.php");

 class navigation_pluginConfigs extends Module
 {
  function init(&$data)
  {
   parent::init($data);

   if($this->data->module!="pluginConfigs")
    $this->extend("pluginConfigs");

   $this->data->title=$this->data->l->t("Navigation plugin configuration");

   $this->data->addField("listtype", "boolean", "show");
   $this->data->addField("pagebrowser", "boolean", "show");

   $this->data->addField("treedepth", "nr", "all", "dropdown", 0, 10, 2, "Levels (0 for unlimited)");

   $this->data->addField("listcatnr", "nr", "all", "", false, false, 0, "List category");
   $this->data->addReference("listcatnr", "categories", "nr", "*:0");

   $this->data->addField("templatelist", "localfile", "all", "recursive", false, 255, "", "Navigation template");

   $this->data->group("Navigation", "treedepth", "listcatnr", "templatelist");
  }

  function postInit()
  {
   global $_path;

   $this->data->setFileDir("templatelist", $_path["project"]["templates"]);
   $this->data->setFileExtensions("templatelist", "html", "htm");

   return $this->customizeFields();
  }

  function customizeFields()
  {
   if($this->data->action=="add"&&$this->data->getValueType("listcatnr")=="default")
   {
    $d=Data::cache("pager_pluginConfigs", "view", "all");
    $d->setShowFields("rootpagenr");
    $d->clearValues();

    $d->setValue("key", "default");

    if($d->get()&&$d->next())
     $this->data->setValue("listcatnr", $d->v["rootpagenr"]);
   }

   return true;
  }
 }
?>
